Class TroubleTicketOrdersImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.TroubleTicketOrdersImpl
- All Implemented Interfaces:
TroubleTicketOrders
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionList<? extends TroubleTicketOrderLocation> Lists the IBX locations and cages where the current user may place trouble ticket orders.List<? extends TroubleTicketOrderLocation> getLocations(Boolean detail, String ibxs, String cages) Lists the IBX locations and cages where the current user may place trouble ticket orders, filtered by the supplied parameters.List<? extends TroubleTicketType> getTypes()Lists all Equinix trouble ticket problem categories and their corresponding codes.List<? extends TroubleTicketType> Lists Equinix trouble ticket problem categories filtered by a single category.placeOrder(TroubleTicketOrderRequest request) Submits a trouble ticket for an issue impacting your service.
-
Constructor Details
-
TroubleTicketOrdersImpl
public TroubleTicketOrdersImpl()
-
-
Method Details
-
getTypes
Description copied from interface:TroubleTicketOrdersLists all Equinix trouble ticket problem categories and their corresponding codes.- Specified by:
getTypesin interfaceTroubleTicketOrders- Returns:
- the list of supported trouble ticket types
-
getTypes
Description copied from interface:TroubleTicketOrdersLists Equinix trouble ticket problem categories filtered by a single category.Maps to
GET /v1/orders/troubleticket/typeswith thecategoryquery parameter (e.g.Cross Connect,Network,Power,Environment,Hardware,Security,Managed Services,Smartview).- Specified by:
getTypesin interfaceTroubleTicketOrders- Parameters:
category- the trouble ticket category to filter by, ornullfor all- Returns:
- the list of supported trouble ticket types
-
getLocations
Description copied from interface:TroubleTicketOrdersLists the IBX locations and cages where the current user may place trouble ticket orders.- Specified by:
getLocationsin interfaceTroubleTicketOrders- Returns:
- the list of permitted locations
-
getLocations
public List<? extends TroubleTicketOrderLocation> getLocations(Boolean detail, String ibxs, String cages) Description copied from interface:TroubleTicketOrdersLists the IBX locations and cages where the current user may place trouble ticket orders, filtered by the supplied parameters.Maps to
GET /v1/orders/troubleticket/locationswith thedetail,ibxsandcagesquery parameters.- Specified by:
getLocationsin interfaceTroubleTicketOrders- Parameters:
detail- whether to include detailed cage/account information, ornullibxs- the IBX codes to filter by, ornullcages- the cage ids to filter by, ornull- Returns:
- the list of permitted locations
-
placeOrder
Description copied from interface:TroubleTicketOrdersSubmits a trouble ticket for an issue impacting your service.- Specified by:
placeOrderin interfaceTroubleTicketOrders- Parameters:
request- the trouble ticket order body- Returns:
- the created order response carrying the generated order number
-